Subject: RE: IPP> Re: JMP> jmJobState and jmJobStateReasonsTC [ISSUE:

From: Tom Hastings <[email-masked]>
Date: Mon, 2 Jun 1997 18:09:28 PDT

At 08:20 05/28/97 PDT, Harry Lewis wrote:
>Regarding this statement...
>
>>I think it would simplify things just to have the pending state mandatory.
>
>I think we should all agree, as (I think it was) Ron Bergman who pointed out,
>that it is jmJobState which is mandatory... *not* the underlying enums.

What about my argument about the 'completed' state?

As I've tried to reason before, the 'completed' state is one of the
most important states to make mandatory, not conditionally mandatory.

Most printers today do not have a 'completed' state, at least not one
that lasts for a human perceptable time.  So if JMP doesn't make the
'completed' state mandatory, no one need implement it.

Doesn't that make sense to include 'completed' in the conformance 
ASN.1 at the back, like we did for Reset in the Printer MIB?

>
>I agree with the "spirit" of the concensus, however, that non-spooling
>devices *can* have jobs pending for significant periods of time.

I agree.  And if 'pending' is conditionally mandatory, then such a printer
that can take a signigicant period of time shall have to implement 'pending'.

>
>Harry Lewis - IBM Printing Systems
>
>